/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PORTSNAPENGINE_H
#define __PORTSNAPENGINE_H

#include <qstring.h>

class UnixProcess;

/**
  * @brief Portsnap 
  *
  */
class PortsnapEngine{
public:
	PortsnapEngine();

	void readSettings();

	UnixProcess * getExtractProcess(bool fetch = true);

	bool portsnapUsed();
	int preparePortsnap();

private:
	QString getPortsnapWorkingDirectory();

	QString portsnapWorkdir;
};

#endif /* __PORTSNAPENGINE_H */
